Bug 597959 - [abrt] crash in wallpapoz-0.4.1-20.svn92_trunk.fc13: wallpapoz:1053:delete_wallpaper:UnboundLocalError: local variable 'lowest_iter' referenced before assignment
[abrt] crash in wallpapoz-0.4.1-20.svn92_trunk.fc13: wallpapoz:1053:delete_wa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wallpapoz (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:681fc9b6
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 01:48 EDT by gold
Modified: 2010-06-25 14:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: wallpapoz-0.4.1-24.svn92_trunk.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 14:18:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (569 bytes, text/plain)
2010-05-31 01:48 EDT, gold
no flags Details
wallpapoz.xml (142.39 KB, text/plain)
2010-06-14 01:10 EDT, gold
no flags Details

  None (edit)
Description gold 2010-05-31 01:48:35 EDT
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: python /usr/bin/wallpapoz
component: wallpapoz
executable: /usr/bin/wallpapoz
kernel: 2.6.33.3-85.fc13.i686.PAE
package: wallpapoz-0.4.1-20.svn92_trunk.fc13
reason: wallpapoz:1053:delete_wallpaper:UnboundLocalError: local variable 'lowest_iter' referenced before assignment
release: Fedora release 13 (Goddard)

backtrace
-----
wallpapoz:1053:delete_wallpaper:UnboundLocalError: local variable 'lowest_iter' referenced before assignment

Traceback (most recent call last):
  File "/usr/bin/wallpapoz", line 1053, in delete_wallpaper
    self.order_treeiter_from_lowest_iter(lowest_iter)
UnboundLocalError: local variable 'lowest_iter' referenced before assignment

Local variables in innermost frame:
single_iter: <GtkTreeIter at 0x8ff6330>
index_temp: 0
widget: <gtk.ImageMenuItem object at 0x8e6ab44 (GtkImageMenuItem at 0x8acb978)>
path_iter: 0
self: <__main__.Wallpapoz instance at 0x8cada4c>
Comment 1 gold 2010-05-31 01:48:38 EDT
Created attachment 418163 [details]
File: backtrace
Comment 2 Mamoru TASAKA 2010-05-31 13:08:22 EDT
Would you write the procedure to reproduce thi issue in detail?
Also would you attach the contents of ~/.wallpapoz?
Comment 3 Mamoru TASAKA 2010-06-13 09:58:33 EDT
(In reply to comment #2)
> Also would you attach the contents of ~/.wallpapoz?    

This means that I would appreciate it if you would atatch
wallpapoz.xml file under ~/.wallpapoz (also providing the
way to reproduce this issue is appreciated)
Comment 4 gold 2010-06-14 01:10:01 EDT
Created attachment 423740 [details]
wallpapoz.xml

this is wallpapoz.xml file
Comment 5 Mamoru TASAKA 2010-06-14 02:47:04 EDT
And would you remember how this crash happened?
Comment 6 gold 2010-06-14 05:33:19 EDT
it happened when i was adding some wallpapers to it....
Comment 7 Mamoru TASAKA 2010-06-14 12:37:21 EDT
Well, I think now I can reproduce this issue.
Comment 8 Mamoru TASAKA 2010-06-14 15:08:11 EDT
I think this will be fixed in -24.
Comment 9 Fedora Update System 2010-06-14 15:21:20 EDT
wallpapoz-0.4.1-24.svn92_trunk.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-24.svn92_trunk.fc13
Comment 10 Fedora Update System 2010-06-14 15:21:41 EDT
wallpapoz-0.4.1-24.svn92_trunk.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-24.svn92_trunk.fc12
Comment 11 Fedora Update System 2010-06-15 12:08:40 EDT
wallpapoz-0.4.1-24.svn92_trunk.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpapoz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-24.svn92_trunk.fc12
Comment 12 Steven Marks 2010-06-20 13:32:25 EDT
Package: wallpapoz-0.4.1-20.svn92_trunk.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Start up wallpapoz and add backgroups to it
2.  Restart the wallpapoz and try to delete the default backgroup
3.  Then this report should come


Comment
-----
Didn't have any effect that I noticed.
Comment 13 Fedora Update System 2010-06-25 14:09:35 EDT
wallpapoz-0.4.1-24.svn92_trunk.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-06-25 14:17:32 EDT
wallpapoz-0.4.1-24.svn92_trunk.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.